<?php

use Battles\GameLogs;
use Battles\Nick;

$us = mysql_fetch_array(mysql_query("SELECT *,(select `id` from `online` WHERE `real_time` >= ".(time()-60)." AND `id` = users.`id`) as `online`  FROM `users` WHERE `login` = '{$_POST['target']}' LIMIT 1;"));
$battle = mysql_fetch_array(mysql_query("SELECT `close` FROM `battle` WHERE `id` = '{$us['battle']}' ;"));
$owntravma = mysql_fetch_array(mysql_query("SELECT * FROM `effects` WHERE `owner` = ".$us['id']." AND (type=13 OR ND type=12 OR  type=14);"));
$magic = mysql_fetch_array(mysql_query("SELECT `chanse` FROM `magic` WHERE `id` = '23' ;"));
$us_battle=mysql_fetch_array(mysql_query("SELECT `type` FROM `battle` WHERE `id` ='{$us['battle']}' ;"));


if ($battle['close']== 1) {
	echo "Этот бой изолирован от внешнего мира";
}
elseif ($user['battle'] > 0) {
	echo "Не в бою...";
}
elseif (!$us['online']) {
	echo "Персонаж не в игре!";
}
elseif ($user['align']!=3) {
	echo "Вы не темный!";
}
elseif ($user['zayavka'] > 0) {
	echo "Вы ожидаете поединка...";

} elseif ($us['align']!=3) {
	echo "Персонаж не с темной склонностью!";
} elseif ($user->getRoom() != $us['room']) {
	echo "Персонаж в другой комнате!";
} elseif ($us['room'] == 31 || $us['room'] == 46 || $us['room'] == 47 || $us['room'] == 48 || $us['room'] == 49 ||$us['room'] == 600 || $us['room'] == 601 || $us['room'] == 45 || $us['room'] == 602 || $us['room'] == 43 || $us['room'] ==45) {
	echo "Нападения в этой локации запрещены!";
} elseif ($us['battle'] <= 0) {
	echo "Персонаж не в бою!";
} elseif ($us['level'] < 1) {
	echo "Новички находятся под защитой Мироздателя!";
} elseif ($user['hp'] < $user['maxhp']*0.33) {
	echo "Вы слишком ослаблены для нападения!";
} elseif ($us['hp'] < 1  && $us['battle']) {
	echo "Вы не можете вмешаться за погибшего!";
} elseif ($us_battle['type'] !=6) {
	echo "Вы можете встать на защиту собрата только от сил Света!";
} else { //if (rand(1,100) < $int) {

			if ($user['sex'] == 1) {$action="вмешался";}	else {$action="вмешалась";}
			if ($user['align'] > '2' && $user['align'] < '3')  {
				$angel="Ангел";
			} elseif ($user['align'] > '1' && $user['align'] < '2') {
				$angel="Персонаж";
			}


			$jert = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `login` = '{$_POST['target']}' LIMIT 1;"));
			if($jert['id']!=$user['id']) {
				addch("<img src=i/magic/brat.gif> <B>{$user['login']}</B>, применив магию темных сил, внезапно ".$action." в бой за &quot;{$_POST['target']}&quot;");
				addchp ('<font color=red>Внимание!</font> За Вас '.$action.' в бой <B>'.$user['login'].'</B>.<BR>\'; top.frames[\'main\'].location=\'fbattle.php\'; var z = \'   ','{[]}'.Nick::id($jert['id'])->short().'{[]}');
				//destructitem($row['id']);
				$bet=1;
				//арх
				if($jert['id'] > _BOTSEPARATOR_) {
					$arha = mysql_fetch_array(mysql_query ('SELECT * FROM `bots` WHERE `prototype` = '.$jert['id'].' LIMIT 1;'));
					$jert['battle'] = $arha['battle'];
					$jert['id'] = $arha['id'];
					$bot=1;
				}
				if($jert['battle'] > 0) {
					//вмешиваемся
					$bd = mysql_fetch_array(mysql_query ('SELECT * FROM `battle` WHERE `id` = '.$jert['battle'].' LIMIT 1;'));
					$battle = unserialize($bd['teams']);
			//		$ak = array_keys($battle[$jert['id']]);
					$battle[$user['id']] = $battle[$jert['id']];
					foreach($battle[$user['id']] as $k => $v) {
						$battle[$user['id']][$k] =array(0,0,time());
						$battle[$k][$user['id']] = array(0,0,time());
					}
					$t1 = explode(";",$bd['t1']);
					// проставляем кто-где
					if (in_array ($jert['id'],$t1)) {
						$ttt = 1;
					} else {
						$ttt = 2;
					}
					addch ("<b>".Nick::id($user['id'])->short()."</b> вмешался в <a href=logs.php?log=".$id." target=_blank>поединок »»</a>.  ",$user->getRoom());

					//mysql_query('UPDATE `logs` SET `log` = CONCAT(`log`,\'<span class=date>'.date("H:i").'</span> '.nick::id($user['id'])->short().' вмешался в поединок!<BR>\') WHERE `id` = '.$jert['battle'].'');

                    GameLogs::addBattleLog($jert['battle'],'<span class=date>'.date("H:i").'</span> '.Nick::id($user['id'])->short().' вмешался в поединок!<BR>');

					mysql_query('UPDATE `battle` SET `teams` = \''.serialize($battle).'\', `t'.$ttt.'`=CONCAT(`t'.$ttt.'`,\';'.$user['id'].'\')  WHERE `id` = '.$jert['battle'].' ;');
					mysql_query("UPDATE users SET `battle` =".$jert['battle'].",`zayavka`=0 WHERE `id`= ".$user['id']);

					//header("Location:fbattle.php");
					//exit("<script>location.href='fbattle.php';</script>");
                    $skipper=1;
				}
				else
				{
					// начинаем бой
					//$bet=1;
					// если чел в заявке, выбиваем его
					if($jert['zayavka']) {
						$fict1 = mysql_fetch_array(mysql_query("SELECT * FROM `zayavka` WHERE `team1` LIKE '{$jert['id']};%' OR `team1` LIKE '%;{$jert['id']};%' LIMIT 1;"));
						$fict2 = mysql_fetch_array(mysql_query("SELECT * FROM `zayavka` WHERE `team2` LIKE '{$jert['id']};%' OR `team2` LIKE '%;{$jert['id']};%' LIMIT 1;"));
						if($fict1) { $team=1; }
						elseif($fict2) { $team=2; }

						mysql_query("UPDATE `users` SET `zayavka` = '' WHERE `id` = {$jert['id']} LIMIT 1;");
						$z = mysql_fetch_array(mysql_query("SELECT `team{$team}` FROM `zayavka` WHERE `id`=".$jert['zayavka'].";"));

						$teams = str_replace($jert['id'].";","",$z[0]);
						mysql_query("UPDATE  `zayavka` SET team{$team} = '{$teams}' WHERE	id = {$jert['zayavka']};");
					}

					//arch
					if($bot) {
						mysql_query("INSERT INTO `bots` (`name`,`prototype`,`battle`,`hp`) values ('Архивариус','83','','".$jert['hp']."');");
						$jert['id'] = mysql_insert_id();
					}

					$teams = array();
					$teams[$user['id']][$jert['id']] = array(0,0,time());
					$teams[$jert['id']][$user['id']] = array(0,0,time());
					$sv = array(3,4,5);
					//$tou = array_rand($sv,1);
					mysql_query("INSERT INTO `battle`
						(
							`id`,`coment`,`teams`,`timeout`,`type`,`status`,`t1`,`t2`,`to1`,`to2`,`blood`
						)
						VALUES
						(
							NULL,'','".serialize($teams)."','".$sv[rand(0,2)]."','1','0','".$user['id']."','".$jert['id']."','".time()."','".time()."','0'
						)");

					$id = mysql_insert_id();

					// апдейтим врага
					if($bot) {
						mysql_query("UPDATE `bots` SET `battle` = {$id} WHERE `id` = {$jert['id']} LIMIT 1;");
					} else {
						mysql_query("UPDATE `users` SET `battle` = {$id} WHERE `id` = {$jert['id']} LIMIT 1;");
					}

					// создаем лог


					$rr = "<b>".Nick::id($user['id'])->full(1)."</b> и <b>".Nick::id($jert['id'])->full(1)."</b>";
					addch ("<a href=logs.php?log=".$id." target=_blank>Бой</a> между <B><b>".Nick::id($user['id'])->short()."</b> и <b>".Nick::id($jert['id'])->short()."</b> начался.   ",$user->getRoom());

					//mysql_query("INSERT INTO `logs` (`id`,`log`) VALUES('{$id}',"Часы показывали <span class=date>".date("Y.m.d H.i")."</span>, когда ".$rr." бросили вызов друг другу. <BR>");

                    GameLogs::addBattleLog($id,"Часы показывали <span class=date>".date("Y.m.d H.i")."</span>, когда ".$rr." бросили вызов друг другу. <BR>");

					mysql_query("UPDATE users SET `battle` ={$id},`zayavka`=0 WHERE `id`= {$user['id']} OR `id` = {$jert['id']}");
					header("Location:fbattle.php");
					//exit("<script>location.href='fbattle.php';</script>");
				}
			} else {
				echo '<font color=red>Мазохист?...</font>';
			}
		//$bet=1;
} /*else {
		echo "Свиток рассыпался в ваших руках...";
		$bet=1;
	}*/
